For the complete documentation index, see llms.txt.

Orders
GET/api/orders/search

Search Orders

Find a known order by order number, tracking number, reference or receiver name.

View as MarkdownCopy for LLM

Orders

Create, search, update, tag, archive, restore, and list orders before shipping.

18 related endpoints

Endpoint

Endpoint URL

https://api.starshipit.com/api/orders/search?phrase=EXAMPLE-ORDER&status=All&fields=All

Details

Find a known order by order number, tracking number, reference or receiver name.

Supply a non-empty phrase and set status=All with fields=All to include matching unshipped, shipped and archived orders. Check each result's archived boolean to identify an archived order. This endpoint does not provide an archived-only list or a tag-based search of archived orders.

Request Parameters

Parameter Description Example Value Accepted Values
phrase (required) In conjunction with the 'fields' parameter, this is the search phrase to search for. John Smith
limit (optional) Amount of results (default: 50) (maximum: 250) 50 1, 2, 3, ..., 250
page (optional) Page to show (default: 1) 1 1, 2, 3, ...
status (optional) Status scope. Set All explicitly to include archived matches; this is not an archived-only filter. All All, Unshipped, Shipped
fields (optional) In. conjunction with the phrase parameter, which field to search. If "All", it will search 'order number', 'tracking number', 'theirRef' and 'name' All All, Order_Number, TheirRef
include_child_accounts If set to true, orders from child accounts will be returned (default: false) true true, false

Search Orders Response

Attribute Type Description
orders object list List of order assignments (Search Order Model)
total_pages integer Total number of pages available
success boolean Determines whether the request was successfully submitted
errors object list List of detailed errors (Error Model)

Response examples

Search Orders by order number (200)
{
  "orders": [
    {
      "order_id": 10001,
      "order_date": "2020-04-29T22:46:59.6374472Z",
      "order_number": "12345",
      "name": "John Smith",
      "carrier_name": "Australia Post",
      "tracking_number": "A123456",
      "country": "Australia",
      "archived": false
    }
  ],
  "total_pages": 1,
  "success": true
}
Search Orders by tracking number (200)
{
  "orders": [
    {
      "order_id": 10001,
      "order_date": "2020-04-29T22:46:59.6374472Z",
      "order_number": "12345",
      "name": "John Smith",
      "carrier_name": "Australia Post",
      "tracking_number": "A123456",
      "country": "Australia",
      "archived": false
    }
  ],
  "total_pages": 1,
  "success": true
}

Related endpoints